#include <Arduino.h>

// Motor: 0:Left, 1:Right
// Direction: 0:Forward, 1:Backward
void moveDCmotor(int motor, int direction, int speed) {
    int pinPWM;
    int pin1;
    int pin2;
    int val1;
    int val2;
    
    switch(motor) {
        case 0:   //Left
            pinPWM = 3;
            pin1   = 4;
            pin2   = 5;
            break;
        case 1:   //Right
            pinPWM = 6;
            pin1   = 7;
            pin2   = 8;
            break;
    }
    
    switch(direction) {
        case 0:   //Forward
            val1 = 0;
            val2 = 1;
            break;
        case 1:   //Backward
            val1 = 1;
            val2 = 0;
            break;
    }
    
    digitalWrite(pin1, val1);
    digitalWrite(pin2, val2);
    analogWrite(pinPWM, speed);
}

void stop(int motor, int stopType) {
    int pinPWM;
    int pin1;
    int pin2;
    int val1;
    int val2;
    
    switch(motor) {
        case 0:   //Left
            pinPWM = 3;
            pin1   = 4;
            pin2   = 5;
            break;
        case 1:   //Right
            pinPWM = 6;
            pin1   = 7;
            pin2   = 8;
            break;
    }
    
    switch(stopType) {
        case 0:   //break
            val1 = 1;
            val2 = 1;
            break;
        case 1:   //shut down
            val1 = 0;
            val2 = 0;
            break;
    }
    
    digitalWrite(pin1, val1);
    digitalWrite(pin2, val2);
    analogWrite(pinPWM, 0);
}
